#! /usr/bin/perl
##############################################################################
# Gadget Renesas Web Compiler's project lister
#
# Copyright 2012 Yuuichi Akagawa
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
##############################################################################
#
# Usage: gr_pjlist.pl
#
##############################################################################
use strict;
use warnings;

use LWP::Simple;
use LWP::UserAgent;
use JSON qw/decode_json/;

#set your API KEY
my $API_KEY='INPUT_YOUR_API_KEY';

my $uri = 'http://tool-cloud.renesas.com/system/api/';

my $ua = new LWP::UserAgent;
$ua->agent("AgentName/0.1 " . $ua->agent);

#Get project list
my $req = new HTTP::Request GET => $uri . '/?module=projects&action=list&key=' . $API_KEY;
my $reqres = $ua->request($req);
if( $reqres->is_success){
    my $data = decode_json($reqres->content);

    foreach my $pj (@{$$data{projects}}){
        printf "%7d %s\n", $$pj{id} , $$pj{name};
    }
}
